Skip to content
Last updated

DomainUpdateNameservers

Sends the Save Nameservers command to the registrar for the domain

Connects to the registrar and attempts to update the nameservers with those provided.

Request Parameters

ParameterTypeDescriptionRequired
actionstring"DomainUpdateNameservers"Required
domainidintThe id of the domain to update the nameservers for recommendedOptional
domainstringThe domain name to be update the nameservers for. This or $domainid is requiredOptional
ns1stringThe first nameserverRequired
ns2stringThe second nameserverRequired
ns3stringThe third nameserverOptional
ns4stringThe fourth nameserverOptional
ns5stringThe fifth nameserverOptional

Response Parameters

ParameterTypeDescription
resultstringThe result of the operation: success or error

Example Request (CURL)

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'DomainUpdateNameservers',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'domainid' => '1',
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);

Example Request (Local API)

$command = 'DomainUpdateNameservers';
$postData = array(
    'domainid' => '1',
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);

Example Response JSON

{
    "result": "success"
}

Error Responses

Possible error condition responses include:

  • Domain ID Not Found
  • ns1 and ns2 required
  • Registrar Error Message

Version History

VersionChangelog
1.0Initial Version